Canon MP Navigator

Canon MP Navigator

The program is unavailable for downloading: strongly depends on hardware. Different versions are applicable to different devices.
3.8 
-

none

3.0
This program received 1 award
Questions & answers (23)
Wiki
Mac version
Suggest a correction
This program has been reported to be unavailable on a regular basis.
This implies that we are unable to provide universally applicable download links, relevant version information.

No specific info about version 1.0. Please visit the main page of Canon MP Navigator on Software Informer.


Latest comments

  All comments (43)
  • 0
    Guest 2 months ago

    Have exactly the same problem. Help!

  • 0
    Guest 2 months ago

    –°an anyone help me with information for a driver for 10.9.3 to use with the Canon MP600 printer/scanner?

  • -1
    Guest 2 months ago

    Everything has been going well until today when the MP Navigator EX became incompatible with Canon mp280 and despite several re-installings as per CD, they were all to now avail. Have downloaded what is supposed to be "updates" but they "fail" every time too. Does anyone have any idea what can be done or is it a new printer but definitely not a Canon this time?

    • -1
      Guest Last month

      I would look for a new printer/scanner. The updated MP Navigator is not the only problem. Going forward, the scan software will not work with Windows 8 or 8.1 (64-bit). It worked fine in Win 7 64 (compatibility mode), but the Twain driver is only 32-bit and it's showing its age.


loading
Download Software Informer Client